/* $Log:	pk.h,v $
 * Revision 0.8  92/11/23  19:47:05  19:47:05  bt (Bo Thide')
 * Fixed resolution bug. Portable downloading. Added/changed options. PJXL color support
 * 
 * Revision 0.7  92/11/13  02:41:19  02:41:19  bt (Bo Thide')
 * More bug fixes and improvements. Support for PaintJet XL
 * 
 * Revision 0.6  92/11/10  21:48:46  21:48:46  bt (Bo Thide')
 * Bug fixes. Added -R option. Better font handling.
 * 
 * Revision 0.5  92/11/09  16:25:52  16:25:52  bt (Bo Thide')
 * Rewrite of dospecial.c. Extended \special support
 * 
 * Revision 0.4  92/11/08  02:46:09  02:46:09  bt (Bo Thide')
 * Changed to portable bit manipulations. Replaced strrstr for non-POSIX compliant C. Fixed numerous bugs. Added support for more \special's.
 * 
 * Revision 0.3  92/08/24  12:45:31  12:45:31  bt (Bo Thide')
 * Fixed 8 bit (dc font) support.
 * 
 * Revision 0.2  92/08/23  17:28:54  17:28:54  bt (Bo Thide')
 * Source cleaned up.  Changed certain function calls.  Removed globals.
 * 
 * Revision 0.1  92/08/22  23:58:47  23:58:47  bt (Bo Thide')
 * First Release.
 *  */

#ifndef _DVI2PCL_PK_INCLUDED
#define _DVI2PCL_PK_INCLUDED

/* Define PK commands*/
#define PK_ID		89
#define PK_CHAR		239
#define PK_XXX1		240
#define PK_XXX2		241
#define PK_XXX3		242
#define PK_XXX4		243
#define PK_YYY		244
#define PK_POST		245 
#define PK_NO_OP	246
#define PK_PRE		247
#define PK_UNDEF	248
#define PK_CMD		240

#endif /* _DVI2PCL_PK_INCLUDED */
