/* $Log:	rulepixels.c,v $
 * Revision 0.8  92/11/23  19:46:57  19:46:57  bt (Bo Thide')
 * Fixed resolution bug. Portable downloading. Added/changed options. PJXL color support
 * 
 * Revision 0.7  92/11/13  02:41:41  02:41:41  bt (Bo Thide')
 * More bug fixes and improvements. Support for PaintJet XL
 * 
 * Revision 0.6  92/11/10  21:48:39  21:48:39  bt (Bo Thide')
 * Bug fixes. Added -R option. Better font handling.
 * 
 * Revision 0.5  92/11/09  16:25:45  16:25:45  bt (Bo Thide')
 * Rewrite of dospecial.c. Extended \special support
 * 
 * Revision 0.4  92/11/08  02:46:02  02:46:02  bt (Bo Thide')
 * Changed to portable bit manipulations. Replaced strrstr for non-POSIX compliant C. Fixed numerous bugs. Added support for more \special's.
 * 
 * Revision 0.3  92/08/24  12:45:52  12:45:52  bt (Bo Thide')
 * Fixed 8 bit (dc font) support.
 * 
 * Revision 0.2  92/08/23  17:29:00  17:29:00  bt (Bo Thide')
 * Source cleaned up.  Changed certain function calls.  Removed globals.
 * 
 * Revision 0.1  92/08/22  23:58:48  23:58:48  bt (Bo Thide')
 * First Release.
 *  */

/*
 * This routine computes the number of pixels in the height or width of a rule
 */

#include <math.h>
#include <stdio.h>
#include "macros.h"

static char rcsid[] = "$Header: rulepixels.c,v 0.8 92/11/23 19:46:57 bt Exp $";

long rulepixels(x, conv)
long	x;
double	conv;
{ 
	long	n;
	double	y;

	y = conv * (double)x;
	n = (long)ceil(y);

#ifdef DEBUG
fprintf(stderr, "rulepixels: x = %ld, y = %g, conv = %g, n = %d\n", x, y, conv, n);
#endif /* DEBUG */

	return(n);

}
